For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage Sales

order list

get

Get list of orders.

Query parameters
limitintegerRequired
offsetintegerOptional
orderIdstringRequired
orderStatusIdstringRequired
customerNamestringOptional
totalAmountstringOptional
dateAddedstringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the order count " or " Successfully shown the order list
get/order/orderlist
GET /order/orderlist?limit=1&orderId=text&orderStatusId=text HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the order count \" or \" Successfully shown the order list"
}

order detail

get

Get a list of order.

Query parameters
orderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully shown the order Detail
get/order/order-detail
GET /order/order-detail?orderId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully shown the order Detail"
}

order export pdf

get

Export the order pdf.

Query parameters
orderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: pdf exported
get/order/order-export-pdf
GET /order/order-export-pdf?orderId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "pdf exported"
}

sales graph list

get

List of salse graph list

Query parameters
yearstringOptional
monthstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the sales count list
get/order/sales-graph-list
GET /order/sales-graph-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the sales count list"
}

transaction list

get

Order transaction list.

Query parameters
yearintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the transaction list
get/order/transaction-list
GET /order/transaction-list?year=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the transaction list"
}

total order count

get

Count of today orders.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the total order amount
get/order/today-order-count
GET /order/today-order-count HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the total order amount"
}

today order amount

get

Amount of today order.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the today order amount
get/order/today-order-amount
GET /order/today-order-amount HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the today order amount"
}

order change status

post

Status of order changes.

Header parameters
AuthorizationstringRequired
Body
orderIdinteger · int32Required
orderStatusIdinteger · int32Required
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderIdinteger · int32Optional
customerIdinteger · int32Optional
currencyIdinteger · int32Optional
shippingZoneIdinteger · int32Optional
paymentZoneIdinteger · int32Optional
shippingCountryIdinteger · int32Optional
paymentCountryIdinteger · int32Optional
invoiceNostringOptional
invoicePrefixstringOptional
firstnamestringOptional
lastnamestringOptional
emailstringOptional
telephonestringOptional
faxstringOptional
shippingFirstnamestringOptional
shippingLastnamestringOptional
shippingCompanystringOptional
shippingAddress1stringOptional
shippingAddress2stringOptional
shippingCitystringOptional
shippingPostcodestringOptional
shippingCountrystringOptional
shippingZonestringOptional
shippingAddressFormatstringOptional
shippingMethodinteger · int32Optional
paymentFirstnamestringOptional
paymentLastnamestringOptional
paymentCompanystringOptional
paymentAddress1stringOptional
paymentAddress2stringOptional
paymentCitystringOptional
paymentPostcodestringOptional
paymentCountrystringOptional
paymentZonestringOptional
paymentAddressFormatstringOptional
paymentMethodstringOptional
commentstringOptional
couponCodestringOptional
discountAmountstringOptional
amountstringOptional
totalstringOptional
rewardstringOptional
orderStatusIdstringOptional
orderPrefixIdstringOptional
affiliateIdinteger · date-timeOptional
commisionstringOptional
currencyCodestringOptional
currencyValueinteger · int32Optional
currencySymbolLeftstringOptional
currencySymbolRightinteger · int32Optional
ipstringOptional
paymentFlagstringOptional
paymentStatusinteger · int32Optional
trackingUrlstringOptional
trackingNointeger · int32Optional
orderNamestringOptional
paymentTypeinteger · int32Optional
paymentProcessinteger · int32Optional
paymentDetailsstringOptional
backOrdersinteger · int32Optional
isActiveinteger · int32Optional
customerGstNostringOptional
orderLogIdinteger · int32Optional
post/order/order-change-status
POST /order/order-change-status HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 31

"orderId=1&orderStatusId=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderId": 1,
  "customerId": 1,
  "currencyId": 1,
  "shippingZoneId": 1,
  "paymentZoneId": 1,
  "shippingCountryId": 1,
  "paymentCountryId": 1,
  "invoiceNo": "text",
  "invoicePrefix": "text",
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "telephone": "text",
  "fax": "text",
  "shippingFirstname": "text",
  "shippingLastname": "text",
  "shippingCompany": "text",
  "shippingAddress1": "text",
  "shippingAddress2": "text",
  "shippingCity": "text",
  "shippingPostcode": "text",
  "shippingCountry": "text",
  "shippingZone": "text",
  "shippingAddressFormat": "text",
  "shippingMethod": 1,
  "paymentFirstname": "text",
  "paymentLastname": "text",
  "paymentCompany": "text",
  "paymentAddress1": "text",
  "paymentAddress2": "text",
  "paymentCity": "text",
  "paymentPostcode": "text",
  "paymentCountry": "text",
  "paymentZone": "text",
  "paymentAddressFormat": "text",
  "paymentMethod": "text",
  "comment": "text",
  "couponCode": "text",
  "discountAmount": "text",
  "amount": "text",
  "total": "text",
  "reward": "text",
  "orderStatusId": "text",
  "orderPrefixId": "text",
  "affiliateId": 1,
  "commision": "text",
  "currencyCode": "text",
  "currencyValue": 1,
  "currencySymbolLeft": "text",
  "currencySymbolRight": 1,
  "ip": "text",
  "paymentFlag": "text",
  "paymentStatus": 1,
  "trackingUrl": "text",
  "trackingNo": 1,
  "orderName": "text",
  "paymentType": 1,
  "paymentProcess": 1,
  "paymentDetails": "text",
  "backOrders": 1,
  "isActive": 1,
  "customerGstNo": "text",
  "orderLogId": 1
}

order excel list

get

Get order list on excel sheet.

Query parameters
orderIdstringRequired
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid orderId
get/order/order-excel-list
GET /order/order-excel-list?orderId=text HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid orderId"
}

delete order

delete

Remove the exist order.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Order Deleted Successfully
delete/order/delete-order/{id}
DELETE /order/delete-order/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Order Deleted Successfully"
}

delete order

post

Delete the exist orders.

Header parameters
AuthorizationstringRequired
Body
orderIdinteger[]Optional
Responses
200

success response

application/json
statusintegerOptional
messagestringOptionalDefault: Order Deleted Successfully
post/order/delete-order
POST /order/delete-order HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 15

"orderId=[1]"
{
  "status": 1,
  "message": "Order Deleted Successfully"
}

Order log list.

get
Query parameters
orderIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order Log list
get/order/orderLoglist
GET /order/orderLoglist?orderId=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete order Log list"
}

Update payment status.

post

Update the payment status

Query parameters
orderIdintegerRequired
paymentStatusIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderIdinteger · int32Optional
customerIdinteger · int32Optional
currencyIdinteger · int32Optional
shippingZoneIdinteger · int32Optional
paymentZoneIdinteger · int32Optional
shippingCountryIdinteger · int32Optional
paymentCountryIdinteger · int32Optional
invoiceNostringOptional
invoicePrefixstringOptional
firstnamestringOptional
lastnamestringOptional
emailstringOptional
telephonestringOptional
faxstringOptional
shippingFirstnamestringOptional
shippingLastnamestringOptional
shippingCompanystringOptional
shippingAddress1stringOptional
shippingAddress2stringOptional
shippingCitystringOptional
shippingPostcodestringOptional
shippingCountrystringOptional
shippingZonestringOptional
shippingAddressFormatstringOptional
shippingMethodinteger · int32Optional
paymentFirstnamestringOptional
paymentLastnamestringOptional
paymentCompanystringOptional
paymentAddress1stringOptional
paymentAddress2stringOptional
paymentCitystringOptional
paymentPostcodestringOptional
paymentCountrystringOptional
paymentZonestringOptional
paymentAddressFormatstringOptional
paymentMethodstringOptional
commentstringOptional
couponCodestringOptional
discountAmountstringOptional
amountstringOptional
totalstringOptional
rewardstringOptional
orderStatusIdinteger · int32Optional
orderPrefixIdstringOptional
affiliateIdinteger · int32Optional
commisioninteger · int32Optional
currencyCodestringOptional
currencyValuestringOptional
currencySymbolLeftstringOptional
currencySymbolRightstringOptional
ipstringOptional
trackingUrlstringOptional
trackingNostringOptional
orderNamestringOptional
paymentTypestringOptional
paymentProcessinteger · int32Optional
paymentDetailsstringOptional
backOrdersinteger · int32Optional
isActiveinteger · int32Optional
customerGstNostringOptional
post/order/update-payment-status
POST /order/update-payment-status?orderId=1&paymentStatusId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderId": 1,
  "customerId": 1,
  "currencyId": 1,
  "shippingZoneId": 1,
  "paymentZoneId": 1,
  "shippingCountryId": 1,
  "paymentCountryId": 1,
  "invoiceNo": "text",
  "invoicePrefix": "text",
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "telephone": "text",
  "fax": "text",
  "shippingFirstname": "text",
  "shippingLastname": "text",
  "shippingCompany": "text",
  "shippingAddress1": "text",
  "shippingAddress2": "text",
  "shippingCity": "text",
  "shippingPostcode": "text",
  "shippingCountry": "text",
  "shippingZone": "text",
  "shippingAddressFormat": "text",
  "shippingMethod": 1,
  "paymentFirstname": "text",
  "paymentLastname": "text",
  "paymentCompany": "text",
  "paymentAddress1": "text",
  "paymentAddress2": "text",
  "paymentCity": "text",
  "paymentPostcode": "text",
  "paymentCountry": "text",
  "paymentZone": "text",
  "paymentAddressFormat": "text",
  "paymentMethod": "text",
  "comment": "text",
  "couponCode": "text",
  "discountAmount": "text",
  "amount": "text",
  "total": "text",
  "reward": "text",
  "orderStatusId": 1,
  "orderPrefixId": "text",
  "affiliateId": 1,
  "commision": 1,
  "currencyCode": "text",
  "currencyValue": "text",
  "currencySymbolLeft": "text",
  "currencySymbolRight": "text",
  "ip": "text",
  "trackingUrl": "text",
  "trackingNo": "text",
  "orderName": "text",
  "paymentType": "text",
  "paymentProcess": 1,
  "paymentDetails": "text",
  "backOrders": 1,
  "isActive": 1,
  "customerGstNo": "text"
}

Update shipping information.

post

Update the shipping information.

Header parameters
AuthorizationstringRequired
Body
orderIdinteger · int32Required
trackingUrlstringRequired
trackingNostringRequired
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderIdinteger · int32Optional
customerIdinteger · int32Optional
currencyIdinteger · int32Optional
shippingZoneIdinteger · int32Optional
paymentZoneIdinteger · int32Optional
shippingCountryIdinteger · int32Optional
paymentCountryIdinteger · int32Optional
invoiceNostringOptional
invoicePrefixstringOptional
firstnamestringOptional
lastnamestringOptional
emailstringOptional
telephonestringOptional
faxstringOptional
shippingFirstnamestringOptional
shippingLastnamestringOptional
shippingCompanystringOptional
shippingAddress1stringOptional
shippingAddress2stringOptional
shippingCitystringOptional
shippingPostcodestringOptional
shippingCountrystringOptional
shippingZonestringOptional
shippingAddressFormatstringOptional
shippingMethodinteger · int32Optional
paymentFirstnamestringOptional
paymentLastnamestringOptional
paymentCompanystringOptional
paymentAddress1stringOptional
paymentAddress2stringOptional
paymentCitystringOptional
paymentPostcodestringOptional
paymentCountrystringOptional
paymentZonestringOptional
paymentAddressFormatstringOptional
paymentMethodstringOptional
commentstringOptional
couponCodestringOptional
discountAmountstringOptional
amountstringOptional
totalstringOptional
rewardstringOptional
orderStatusIdinteger · int32Optional
orderPrefixIdstringOptional
affiliateIdinteger · int32Optional
commisionstringOptional
currencyCodestringOptional
currencyValuestringOptional
currencySymbolLeftstringOptional
currencySymbolRightstringOptional
ipstringOptional
paymentFlaginteger · int32Optional
paymentStatusinteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
orderNamestringOptional
paymentTypestringOptional
paymentProcessinteger · int32Optional
paymentDetailsstringOptional
backOrdersinteger · int32Optional
isActiveinteger · int32Optional
customerGstNostringOptional
post/order/update-shipping-information
POST /order/update-shipping-information HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 54

"orderId=1&trackingUrl='text'&trackingNo='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderId": 1,
  "customerId": 1,
  "currencyId": 1,
  "shippingZoneId": 1,
  "paymentZoneId": 1,
  "shippingCountryId": 1,
  "paymentCountryId": 1,
  "invoiceNo": "text",
  "invoicePrefix": "text",
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "telephone": "text",
  "fax": "text",
  "shippingFirstname": "text",
  "shippingLastname": "text",
  "shippingCompany": "text",
  "shippingAddress1": "text",
  "shippingAddress2": "text",
  "shippingCity": "text",
  "shippingPostcode": "text",
  "shippingCountry": "text",
  "shippingZone": "text",
  "shippingAddressFormat": "text",
  "shippingMethod": 1,
  "paymentFirstname": "text",
  "paymentLastname": "text",
  "paymentCompany": "text",
  "paymentAddress1": "text",
  "paymentAddress2": "text",
  "paymentCity": "text",
  "paymentPostcode": "text",
  "paymentCountry": "text",
  "paymentZone": "text",
  "paymentAddressFormat": "text",
  "paymentMethod": "text",
  "comment": "text",
  "couponCode": "text",
  "discountAmount": "text",
  "amount": "text",
  "total": "text",
  "reward": "text",
  "orderStatusId": 1,
  "orderPrefixId": "text",
  "affiliateId": 1,
  "commision": "text",
  "currencyCode": "text",
  "currencyValue": "text",
  "currencySymbolLeft": "text",
  "currencySymbolRight": "text",
  "ip": "text",
  "paymentFlag": 1,
  "paymentStatus": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "orderName": "text",
  "paymentType": "text",
  "paymentProcess": 1,
  "paymentDetails": "text",
  "backOrders": 1,
  "isActive": 1,
  "customerGstNo": "text"
}

Update order product shipping information.

post

Update the order product shipping information

Header parameters
AuthorizationstringRequired
Body
orderProductIdinteger · int32Required
trackingUrlstringRequired
trackingNostringRequired
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderProductIdinteger · int32Optional
productIdinteger · int32Optional
orderProductPrefixIdstringOptional
orderIdinteger · int32Optional
namestringOptional
modelstringOptional
quantityinteger · int32Optional
productPricestringOptional
discountAmountstringOptional
basePricestringOptional
taxTypeinteger · int32Optional
taxValueinteger · int32Optional
totalstringOptional
discountedAmountinteger · int32Optional
orderStatusIdinteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
tracestringOptional
taxstringOptional
cancelRequestinteger · int32Optional
cancelRequestStatusinteger · int32Optional
cancelReasonstringOptional
cancelReasonDescriptionstringOptional
isActiveinteger · int32Optional
skuNamestringOptional
couponDiscountAmountinteger · int32Optional
post/order/update-order-product-shipping-information
POST /order/update-order-product-shipping-information HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 61

"orderProductId=1&trackingUrl='text'&trackingNo='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderProductId": 1,
  "productId": 1,
  "orderProductPrefixId": "text",
  "orderId": 1,
  "name": "text",
  "model": "text",
  "quantity": 1,
  "productPrice": "text",
  "discountAmount": "text",
  "basePrice": "text",
  "taxType": 1,
  "taxValue": 1,
  "total": "text",
  "discountedAmount": 1,
  "orderStatusId": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "trace": "text",
  "tax": "text",
  "cancelRequest": 1,
  "cancelRequestStatus": 1,
  "cancelReason": "text",
  "cancelReasonDescription": "text",
  "isActive": 1,
  "skuName": "text",
  "couponDiscountAmount": 1
}

Update-order-product-status.

put

Update the order product status

Path parameters
orderProductIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
orderStatusIdinteger · int32Optional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderProductIdinteger · int32Optional
productIdinteger · int32Optional
orderProductPrefixIdstringOptional
orderIdinteger · int32Optional
namestringOptional
modelstringOptional
quantityinteger · int32Optional
productPricestringOptional
discountAmountstringOptional
basePricestringOptional
taxTypeinteger · int32Optional
taxValueinteger · int32Optional
totalstringOptional
discountedAmountstringOptional
orderStatusIdinteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
tracestringOptional
taxstringOptional
cancelRequestinteger · int32Optional
cancelRequestStatusinteger · int32Optional
cancelReasonstringOptional
cancelReasonDescriptionstringOptional
isActiveinteger · int32Optional
skuNamestringOptional
couponDiscountAmountinteger · int32Optional
put/order/update-order-product-status/{orderProductId}
PUT /order/update-order-product-status/{orderProductId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 19

"orderStatusId=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderProductId": 1,
  "productId": 1,
  "orderProductPrefixId": "text",
  "orderId": 1,
  "name": "text",
  "model": "text",
  "quantity": 1,
  "productPrice": "text",
  "discountAmount": "text",
  "basePrice": "text",
  "taxType": 1,
  "taxValue": 1,
  "total": "text",
  "discountedAmount": "text",
  "orderStatusId": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "trace": "text",
  "tax": "text",
  "cancelRequest": 1,
  "cancelRequestStatus": 1,
  "cancelReason": "text",
  "cancelReasonDescription": "text",
  "isActive": 1,
  "skuName": "text",
  "couponDiscountAmount": 1
}

order product log list

get

Get list of order product log.

Query parameters
orderProductIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete Order Product Log list
get/order/order-product-log-list
GET /order/order-product-log-list?orderProductId=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete Order Product Log list"
}

order count

get

Get total count of order.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the Order Counts
get/order/order-count
GET /order/order-count HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the Order Counts"
}

Order cancel request list.

get

List of order cancel request.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
statusintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the order count " or " Successfully shown the order product cancel list
get/order/order-cancel-request-list
GET /order/order-cancel-request-list?limit=1&keyword=text HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the order count \" or \" Successfully shown the order product cancel list"
}

Update order cancel request.

put

Update the order cancel request.

Path parameters
orderProductIdintegerRequired
Header parameters
AuthorizationstringRequired
Body
cancelStatusIdinteger · int32Required
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderProductIdinteger · int32Optional
productIdinteger · int32Optional
orderProductPrefixIdstringOptional
orderIdinteger · int32Optional
namestringOptional
modelstringOptional
quantityinteger · int32Optional
productPricestringOptional
discountAmountstringOptional
basePricestringOptional
taxTypeinteger · int32Optional
taxValueinteger · int32Optional
totalstringOptional
discountedAmountinteger · int32Optional
orderStatusIdinteger · int32Optional
trackingUrlstringOptional
trackingNostringOptional
tracestringOptional
taxinteger · int32Optional
cancelRequestinteger · int32Optional
cancelRequestStatusinteger · int32Optional
cancelReasonstringOptional
cancelReasonDescriptionstringOptional
isActiveinteger · int32Optional
skuNamestringOptional
couponDiscountAmountinteger · int32Optional
put/order/update-order-cancel-request/{orderProductId}
PUT /order/update-order-cancel-request/{orderProductId} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 20

"cancelStatusId=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderProductId": 1,
  "productId": 1,
  "orderProductPrefixId": "text",
  "orderId": 1,
  "name": "text",
  "model": "text",
  "quantity": 1,
  "productPrice": "text",
  "discountAmount": "text",
  "basePrice": "text",
  "taxType": 1,
  "taxValue": 1,
  "total": "text",
  "discountedAmount": 1,
  "orderStatusId": 1,
  "trackingUrl": "text",
  "trackingNo": "text",
  "trace": "text",
  "tax": 1,
  "cancelRequest": 1,
  "cancelRequestStatus": 1,
  "cancelReason": "text",
  "cancelReasonDescription": "text",
  "isActive": 1,
  "skuName": "text",
  "couponDiscountAmount": 1
}

Update bulk order cancel request.

get

Update the bulk order cancel request

Query parameters
orderProductIdintegerOptional
cancelStatusIdstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully accepted the cancelled orders " or " Successfully rejected the cancelled orders
get/order/update-bulk-order-cancel-request
GET /order/update-bulk-order-cancel-request HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully accepted the cancelled orders \" or \" Successfully rejected the cancelled orders"
}

order cancel excel list

get

Excel list of order cancel.

Query parameters
orderProductIdstringOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid orderProductId
get/order/order-cancel-excel-list
GET /order/order-cancel-excel-list HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid orderProductId"
}

bulk order cancel excel list

get

Excel list of bulk order cancel.

Query parameters
statusintegerRequired
keywordstringRequired
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: file is empty
get/order/bulk-order-cancel-excel-list
GET /order/bulk-order-cancel-excel-list?status=1&keyword=text HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "file is empty"
}

back order list

get

List of bulk order.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the order count " or " Successfully shown the order list
get/order/back-order-list
GET /order/back-order-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the order count \" or \" Successfully shown the order list"
}

failed-order-list

get

List of failed order.

Query parameters
limitintegerRequired
offsetintegerOptional
orderIdintegerOptional
orderStatusIdstringOptional
customerNamestringOptional
totalAmountintegerOptional
dateAddedintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: uccessfully got count " or " Successfully got the failed order list
get/order/failed-order-list
GET /order/failed-order-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "uccessfully got count \" or \" Successfully got the failed order list"
}

update main order

post

Update the main order.

Header parameters
AuthorizationstringRequired
Body
orderIdinteger · int32Required
paymentMethodstringRequired
paymentRefIdstringRequired
paymentStatusinteger · int32Required
paymentDetailstringOptional
Responses
200

success response

application/json
statusintegerOptional
messagestringOptionalDefault: Successfully updated your order
post/order/update-main-order
POST /order/update-main-order HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 99

"orderId=1&paymentMethod='text'&paymentRefId='text'&paymentStatus=1&paymentDetail='text'"
{
  "status": 1,
  "message": "Successfully updated your order"
}

order count for list

get

List of order count.

Query parameters
orderIdstringOptional
orderStatusIdstringOptional
customerNamestringOptional
totalAmountstringOptional
dateAddedstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully shown the order count
get/order/order-count-for-list
GET /order/order-count-for-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully shown the order count"
}

product list

get

List of product.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Limit suggestion Showing Successfully..!
get/order/product-list
GET /order/product-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Limit suggestion Showing Successfully..!"
}

sales report list

get

List of salse report.

Query parameters
limitintegerRequired
offsetintegerOptional
startDatestringOptional
endDatestringOptional
productIdstringRequired
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the sales report list
get/order/sales-report-list
GET /order/sales-report-list?limit=1&productId=text HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the sales report list"
}

Order Status

create order status

post

Add a category order status.

Header parameters
AuthorizationstringRequired
Body
namestringRequired
colorCodestringRequired
priorityinteger · int32Optional
statusinteger · int32Required
parentIdinteger · int32Optional
isAdmininteger · int32Optional
isVendorinteger · int32Optional
isBuyerinteger · int32Optional
isApiinteger · int32Optional
Responses
200

success response

application/json
namestringOptional
colorCodestringOptional
priorityinteger · int32Optional
isActivestringOptional
parentIdstringOptional
createdDatestringOptional
orderStatusIdinteger · int32Optional
post/order-status/create-order-status
POST /order-status/create-order-status HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 118

"name='text'&colorCode='text'&priority=1&status=1&parentId=1&isAdmin=1&isVendor=1&isBuyer=1&isApi=1"
{
  "name": "text",
  "colorCode": "text",
  "priority": 1,
  "isActive": "text",
  "parentId": "text",
  "createdDate": "text",
  "orderStatusId": 1
}

update order status

put

Update a category order status.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
namestringRequired
colorCodestringRequired
priorityinteger · int32Optional
statusinteger · int32Required
parentIdinteger · int32Optional
isAdmininteger · int32Optional
isVendorinteger · int32Optional
isBuyerinteger · int32Optional
isApiinteger · int32Optional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderStatusIdinteger · int32Optional
namestringOptional
isActivestringOptional
prioritystringOptional
parentIdinteger · int32Optional
defaultStatusinteger · int32Optional
colorCodestringOptional
put/order-status/update-order-status/{id}
PUT /order-status/update-order-status/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 118

"name='text'&colorCode='text'&priority=1&status=1&parentId=1&isAdmin=1&isVendor=1&isBuyer=1&isApi=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderStatusId": 1,
  "name": "text",
  "isActive": "text",
  "priority": "text",
  "parentId": 1,
  "defaultStatus": 1,
  "colorCode": "text"
}

update order fullfillment status

put

Get list of the category order status.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
statusinteger · int32Optional
Responses
200

success response

application/json
createdByinteger · int32Optional
createdDatestring · date-timeOptional
modifiedByinteger · int32Optional
modifiedDatestring · date-timeOptional
orderStatusIdinteger · int32Optional
namestringOptional
isActiveinteger · int32Optional
priorityinteger · int32Optional
parentIdinteger · int32Optional
defaultStatusinteger · int32Optional
isAdmininteger · int32Optional
isVendorinteger · int32Optional
isBuyerinteger · int32Optional
isApiinteger · int32Optional
colorCodestringOptional
put/order-status/update-order-fullfillment-status/{id}
PUT /order-status/update-order-fullfillment-status/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 12

"status=1"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "orderStatusId": 1,
  "name": "text",
  "isActive": 1,
  "priority": 1,
  "parentId": 1,
  "defaultStatus": 1,
  "isAdmin": 1,
  "isVendor": 1,
  "isBuyer": 1,
  "isApi": 1,
  "colorCode": "text"
}

order-fullfillment-status-list

get

Get list of order fullfillment status.

Query parameters
limitintegerRequired
offsetintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete Order fullfillment status list.
get/order-status/order-fullfillment-status-list
GET /order-status/order-fullfillment-status-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete Order fullfillment status list."
}

order status list based on parent

get

Get the order status list based on parent.

Query parameters
limitstringRequired
offsetintegerOptional
parentIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got order status list based on parent.
get/order-status/order-status-list-based-on-parent
GET /order-status/order-status-list-based-on-parent?limit=text&parentId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got order status list based on parent."
}

order-status-list

get

Get list of order status.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
statusstringOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully got the complete order status list.
get/order-status/order-status-list
GET /order-status/order-status-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete order status list."
}

delete order status

delete

Delete a order status.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptional
messagestringOptionalDefault: Successfully deleted the order status. " or " Status is mapped with order product, so you cant delete it.
delete/order-status/delete-order-status/{id}
DELETE /order-status/delete-order-status/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the order status. \" or \" Status is mapped with order product, so you cant delete it."
}

Last updated